unit SmartScrollAPI;

{
 	File:		SmartScrollAPI.p
 
 	Contains:	Smart Scroll Application Programming Interface
 
 	Version:	1.2
 
 	Copyright:	 1996 by Marc Moini, portions by Marc Menschenfreund,
				Alessandro Levi Montalcini and Mark Shirley (Thanks!)
  				All rights reserved.

 	Bugs?:		If you find a problem with this file, please email Marc@Kagi.com
 	
 	Converted to Pascal by Peter N Lewis <peter@stairways.com.au>
}

interface

	uses
		Types, Controls;

	procedure SetSmartScrollInfo( theScrollBar: ControlRef; amountVisible, amountTotal: longint );
	procedure SetSmartScrollProp( theScrollBar: ControlRef; proportion: Fract );
	function GetSmartScrollProp( theScrollBar: ControlRef ): Fract;
	procedure DisposeAllSmartScrolls;

end.
